CGAL 6.2 - Classification: CGAL::Classification::Feature::Simple_feature< InputRange, PropertyMap > Class Template Reference

CGAL 6.2 - Classification

Loading...
Searching...
No Matches
List of all members | Public Member Functions
CGAL::Classification::Feature::Simple_feature< InputRange, PropertyMap > Class Template Reference
Reference Manual » Predefined Features

`#include <CGAL/Classification/Feature/Simple_feature.h>`

## Inherits from

CGAL::Classification::Feature_base.

## Definition

template<typename InputRange, typename PropertyMap>
class CGAL::Classification::Feature::Simple_feature< InputRange, PropertyMap >

Feature based on a user-defined scalar field.

Template Parameters

  InputRange | model of `ConstRange`. Its iterator type is `RandomAccessIterator`.
  PropertyMap | model of `ReadablePropertyMap` whose key type is the value type of the iterator of `PointRange` and value type is statically castable to `float`.

## Public Member Functions
| Simple_feature (const InputRange &input, PropertyMap property_map, const std::string &name)
| constructs the feature using an input range and a property map.
Public Member Functions inherited from CGAL::Classification::Feature_base
const std::string & | name () const
| returns the name of the feature (initialized to `abstract_feature` for `Feature_base`).
void | set_name (const std::string &name)
| changes the name of the feature.
virtual float | value (std::size_t index)=0
| returns the value taken by the feature for at the item for the item at position `index`.

## Constructor & Destructor Documentation

## ◆ Simple_feature()

template<typename InputRange , typename PropertyMap >

CGAL::Classification::Feature::Simple_feature< InputRange, PropertyMap >::Simple_feature | ( | const InputRange & | input,
|  | PropertyMap | property_map,
|  | const std::string & | name
| ) |  |

constructs the feature using an input range and a property map.

Parameters

  input | point range.
  property_map | property map to access scalar field.
  name | name of the property (no default name is given).